#loading-overlay {
  font-weight: bold;
  animation: loading 2s infinite;
}
#camera-feed {
  border: 8px solid transparent;
}
#camera-feed #canvas {
  position: absolute;
  opacity: 0;
}
.sliders {
  text-align: center;
  width: 576px;
  position: relative;
  margin-top: 64px;
  height: 32px;
}
.sliders #value-slider,
.sliders #range-slider {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
.sliders .ui-slider {
  height: 4px;
  padding: 0;
  margin: 0;
  border: none !important;
  background-color: rgba(0, 0, 0, 0.05);
  position: relative;
}
.sliders #value-slider.ui-slider .ui-slider-handle {
  background-color: #007aff;
  border: none !important;
  width: 2px;
  height: 32px;
  margin: 0;
  margin-left: -1px;
  top: -14px;
  outline: none !important;
  animation: pulse-blue 2s infinite;
}
.sliders #range-slider.ui-slider .ui-slider-handle {
  border: none;
  width: 24px;
  height: 24px;
  border-radius: 12px;
  margin: 0;
  margin-left: -12px;
  top: -10px;
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.25));
}
.sliders #range-slider.ui-slider .ui-slider-handle:nth-child(2) {
  background-color: #ff3b30;
}
.sliders #range-slider.ui-slider .ui-slider-handle:nth-child(3) {
  background-color: #34c759;
}
.sliders #range-slider.ui-slider .ui-slider-range {
  border-radius: 0;
  background: linear-gradient(90deg, #ff3b30 0%, #34c759 100%);
}
.train-info {
  margin-top: 32px;
}
@keyframes pulse-blue {
  0% {
    transform: scale(0.9);
    box-shadow: 0 0 6px 2px rgba(90, 200, 250, 0.5);
  }
  50% {
    transform: scale(1.1);
    box-shadow: 0 0 6px 2px #5ac8fa;
  }
  100% {
    transform: scale(0.9);
    box-shadow: 0 0 6px 2px rgba(90, 200, 250, 0.5);
  }
}
@keyframes loading {
  0% {
    background-color: rgba(235, 249, 238, 0.95);
  }
  50% {
    background-color: rgba(255, 235, 234, 0.95);
  }
  100% {
    background-color: rgba(235, 249, 238, 0.95);
  }
}
